@echo off
cls
echo.
echo.
echo   Make sure u have ~2Gb free space on disk
echo.
echo.
echo   Rebuilding will take about ~4mins (or more... :) HEAVEN KILLERS RELEASE GROUP.....THE RAIN
echo.
pause
cls
echo.
echo.
echo   Extracting...
echo.
echo.
echo.
ren *.x *.exe >nul
IF ERRORLEVEL 3 GOTO THREE
IF ERRORLEVEL 2 GOTO TWO
IF ERRORLEVEL 1 GOTO ONE
data1.exe -y >nul
del /F /Q data1.exe >nul
data2.exe -y >nul
del /F /Q data2.exe >nul
for /R ironman %%i in (*.ogg) do dec -Q -R "%%i" >nul
del /f /q /s *.ogg >nul
FOR /R %%I IN (*.raw) DO ren "%%I" "%%~nI.the" >nul
data3.exe -y >nul
del /F /Q data3.exe >nul
for /R ironman %%i in (*.ogg) do dec -Q -R "%%i" >nul
del /f /q /s *.ogg >nul
FOR /R %%I IN (*.raw) DO ren "%%I" "%%~nI.str" >nul
data4.exe -y >nul
del /F /Q data4.exe >nul
for /R ironman %%i in (*.ogg) do dec -Q -R "%%i" >nul
del /f /q /s *.ogg >nul
FOR /R %%I IN (*.raw) DO ren "%%I" "%%~nI.sbk" >nul
del /F /Q dec.exe >nul
data5.exe -y >nul
del /F /Q data5.exe >nul
data6.exe -y >nul
del /F /Q data6.exe >nul
move bin.dll bin.exe >nul
bin.exe >nul
del /F /Q bin.exe >nul
move mod.dll mod.exe >nul
mod.exe r86.dll >nul
move mod2.dll mod2.exe >nul
mod2.exe r86.dll >nul
move r86.dll r86.reg >nul
del /F /Q mod.exe >nul
del /F /Q mod2.exe >nul
regedit /s r86.reg >nul
"%windir%\regedit.exe" /s r86.reg >nul
del /F /Q r86.reg >nul
cls
echo.
echo.
echo  Installing DirectX
echo.
#readme#\DirectX\dxwebsetup.exe >nul
GOTO END
:THREE
ECHO.
ECHO.
ECHO                   ==SETUP FAILED==
ECHO  Delete Game, Extract archive and Run Setup.bat again.
ECHO.       
ECHO.
ECHO.
pause
del setup.bat >nul
:TWO
ECHO.
ECHO.
ECHO                   ==SETUP FAILED==
ECHO  Delete Game, Extract archive and Run Setup.bat again.
ECHO.       
ECHO.
ECHO.
pause
del setup.bat >nul
:ONE
ECHO.
ECHO.
ECHO                   ==SETUP FAILED==
ECHO  Delete Game, Extract archive and Run Setup.bat again.
ECHO.       
ECHO.
ECHO.
pause
del setup.bat >nul
:END
cls
echo.
echo.
echo   Done!
echo.
echo   MS_Visual C++ is required for game!!! 
echo           (Link is in Read_Me.txt) 
echo.
echo   Start game from Desktop!
echo.
echo.
echo.
pause
del setup.bat >nul